poreencode(1)

NAME
poreencode - Re-encode all files of a PO directory to the specified encoding.

SYNOPSIS
poreencode encoding PO-directory

Where encoding is the encoding you would like to convert to eg. UTF-8, and PO-directory is a directory of existing PO files.

DESCRIPTION
Takes a directory of existing PO files and converts them to a given encoding.

OPERATION
poreencode makes use of the Gettext tool msgconv(1) to perform its task. It traverses the PO directory and finds all PO file. It uses msgconv(1) to convert the PO file from its existing encoding to the new encoding.

BUGS
Like most Gettext tools they do a little bit more than documented, msgconv(1) will decide which strings are in fact fuzzy and delete fuzzy marking - not a lot but you do need to diff (this probably related to #, fuzzy entries that are not placed in the place Gettext expects them).